Author Topic: NG OSX: "Unable to determine blitzmax install dir"  (Read 181 times)

Offline Yellownakji

  • Jr. Member
  • **
  • Posts: 98
  • The new logo looks like a butt plug
NG OSX: "Unable to determine blitzmax install dir"
« on: October 27, 2018, 07:07:39 AM »
MaxIDE can't seem to determine where NG is installed on OSX and i'm not sure why.   The brl BMX151 pkg from brucey's personal website installed just fine and i got up and running however i'd like the latest NGv70 for OSX.    151 installed to apps so i figured i'd just put the latest NG folder in apps as well; seems that does not do the trick.

I stopped using Mac after OS9, so i could use a pointer.   I tried putting it in apps and in the root of my HDD.

Where is it supposed to be placed?


EDIT: Overwriting the BRL files with the updated NG components did the trick.. (though i don't think that's the right way to do it..)

Offline Derron

  • Hero Member
  • *****
  • Posts: 1521
Re: NG OSX: "Unable to determine blitzmax install dir"
« Reply #1 on: October 27, 2018, 11:21:22 AM »
I would suggest to update NG from v0.70 to something more current. Please backup before as there is a revision making a "breaking change". Best bet was to compile BCC-NG with "vanilla Blitzmax" (1.51) and then just update your NG installation (compile new BMK-NG, copy the vanilla-compiled BCC-NG, update BRL.mod-NG, PUB.mod-NG ...).

The "can't find ..." thing is because of the way Blitzmax (and so also MaxIDE) handle binary-detection - they rely on some system wide variables or try to search it in a hardcoded path ("../bin/bcc" or so).


bye
Ron

Offline Yellownakji

  • Jr. Member
  • **
  • Posts: 98
  • The new logo looks like a butt plug
Re: NG OSX: "Unable to determine blitzmax install dir"
« Reply #2 on: October 27, 2018, 01:03:01 PM »
I'm having trouble building anything higher than 0.70;  0.70 is available as prebuilt which is what i'm using.    I'm having issues compiling with NG, however.  Vanilla compiles fine on
OSX however NG wants carbon libraries from the XCode SDK.   I don't think carbon has been around since osx 10.6 however MaxIde won't even run on my 10.6.8 macbook.

If carbon is still around, i'm not sure where to get it. Apple is a confusing mess.   I compiled on OSX Mojave with vanilla;